Subject: Re: bug#2975: texinfo-master-menu and emacs.texi

From: "Štěpán Němec" <[email-masked]>
Date: Thu, 8 Dec 2011 20:59:57 +0100

On Thu, Dec 08, 2011 at 09:37:29PM +0200, Eli Zaretskii wrote:
> > From: Štěpán Němec <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Karl Berry
> > <[email-masked]>
> > Date: Thu, 08 Dec 2011 20:06:45 +0100
> >
> > (Personally I found Eli's explanation confusing -- what does
> > "on-line"
> > mean here? If it means HTML, makeinfo does support HTML output --
> > does
> > it mean it doesn't cope with missing node pointers in the HTML case?
>
> "On-line" means all on-line formats, including HTML.
>
> What do you mean by "it doesn't cope" -- who or what is "it" here?

makeinfo

> makeinfo does not need these pointers in the Texinfo sources to
> produce them in any of its outputs that are meant for on-line
> browsing.  That includes HTML (and Info, of course).

Thank you for the clarification. Wouldn't it be even clearer (and
simpler) to say that makeinfo just never needs those pointers? You
wrote:

  TeX doesn't need them.  These pointers are there to allow traversing
  the on-line manual, and are not needed for non on-line versions.

So, given that makeinfo can add the info itself when needed, is there
really ever any need for listing the node pointers explicitly at all?

--
Štěpán